Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.component.cluster
Class IndexingCluster

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.base.Provisionable
              com.endeca.soleng.eac.toolkit.component.cluster.IndexingCluster

    public class IndexingCluster

extends com.endeca.soleng.eac.toolkit.base.Provisionable

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`IndexingCluster()` Default constructor.

Method Summary
`void` | `addAgidx(AgidxComponent agidx)` Adds a agidx to the group.
`void` | `addDgidx(DgidxComponent dgidx)` Adds a dgidx to the group.
`void` | `archiveIndex()`
`void` | `archiveLogDir()`
`void` | `cleanDirs()`
`AgidxComponent` | `getAgidxById(java.lang.String agidxId)` Retrieves the Agidx with the specified ID from the group.
`java.util.List<java.lang.String>` | `getAgidxGroupNames()` Retrieves a list of all the agidx groups with which the group's agidxs are associated..
`java.util.Map<java.lang.String,java.util.List<AgidxComponent>>` | `getAgidxGroups()` Retrieves a map, whose keys are the agidx groups defined for the application, and whose values are lists of agidxs belonging to each agidx group.
`java.util.List<AgidxComponent>` | `getAgidxs()`
`java.util.List<AgidxComponent>` | `getAgidxsInAgidxGroup(java.lang.String agidxGroup)` Retrieves a list of all agidxs belonging to the specified agidx group.
`DgidxComponent` | `getDgidxById(java.lang.String dgidxId)` Retrieves the Dgidx with the specified ID from the group.
`void` | `getDgidxConfig()`
`java.util.List<java.lang.String>` | `getDgidxGroupNames()` Retrieves a list of all the dgidx groups with which the group's dgidxs are associated..
`java.util.Map<java.lang.String,java.util.List<DgidxComponent>>` | `getDgidxGroups()` Retrieves a map, whose keys are the dgidx groups defined for the application, and whose values are lists of dgidxs belonging to each dgidx group.
`void` | `getDgidxIncomingData()`
`java.util.List<DgidxComponent>` | `getDgidxs()`
`java.util.List<DgidxComponent>` | `getDgidxsInDgidxGroup(java.lang.String dgidxGroup)` Retrieves a list of all dgidxs belonging to the specified dgidx group.
`boolean` | `isDefined()` Checks whether the member dgidxs in the group are defined.
`boolean` | `isDefinitionChanged()` Checks whether the member dgidxs in the group have changed.
`boolean` | `isGetDataInParallel()`
`void` | `removeDefinition()` Removes the definition of each defined dgidx in the group.
`void` | `run()`
`void` | `setAgidxs(java.util.List<AgidxComponent> agidxs)`
`void` | `setCachedAppDefinition(com.endeca.eac.client.ApplicationType cachedAppDefinition)`
`void` | `setDefinition()` Sets the definition of each dgidx in the group that is not already defined.
`void` | `setDgidxs(java.util.List<DgidxComponent> dgidxs)`
`void` | `setGetDataInParallel(boolean getDataInParallel)`
`void` | `start()`
`void` | `stop()`
`void` | `updateDefinition()` Updates the definition of each dgidx in the group.

Methods inherited from class com.endeca.soleng.eac.toolkit.base.Provisionable
`getAppDefinitionFromEac, getCachedAppDefinition, getProvisioningPort, invalidateCachedAppDefinition`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setElementId, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexingCluster

    public IndexingCluster()

  Default constructor.

Method Detail

### cleanDirs

    public void cleanDirs()
                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                          com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                          java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### getDgidxIncomingData

    public void getDgidxIncomingData()
                              throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                     com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                     com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                     java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### getDgidxConfig

    public void getDgidxConfig()
                        throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                               com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                               com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                               java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### archiveLogDir

    public void archiveLogDir()
                       throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                              com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                              java.lang.InterruptedException,
                              com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### archiveIndex

    public void archiveIndex()
                      throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                             com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                             com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                             java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### start

    public void start()
               throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                      com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### stop

    public void stop()
              throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                     com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### run

    public void run()
             throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                    com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                    java.lang.InterruptedException,
                    com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### isDefined

    public boolean isDefined()
                      throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                             com.endeca.soleng.eac.toolkit.exception.EacProvisioningException

  Checks whether the member dgidxs in the group are defined.

  Specified by:
    `isDefined` in class `com.endeca.soleng.eac.toolkit.base.Provisionable`
  Returns:
    Returns true if all dgidxs are defined. Returns false if any dgidx is undefined.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException` - If a communication error occurs while retrieving the provisioning port.
    `com.endeca.soleng.eac.toolkit.exception.EacProvisioningException` - If an error occurs while trying to retrieve a component definition from the EAC.

### isDefinitionChanged

    public boolean isDefinitionChanged()
                                throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                       com.endeca.soleng.eac.toolkit.exception.EacProvisioningException

  Checks whether the member dgidxs in the group have changed.

  Specified by:
    `isDefinitionChanged` in class `com.endeca.soleng.eac.toolkit.base.Provisionable`
  Returns:
    Returns false if none of the dgidxs have changed. Returns true if any of the member dgidxs have changed.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException` - If a communication error occurs while retrieving the provisioning port.
    `com.endeca.soleng.eac.toolkit.exception.EacProvisioningException` - If an error occurs while trying to retrieve a component definition from the EAC.

### removeDefinition

    public void removeDefinition()
                          throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                 com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Removes the definition of each defined dgidx in the group. Any dgidx that has no associated definition in the EAC is ignored.

  Specified by:
    `removeDefinition` in class `com.endeca.soleng.eac.toolkit.base.Provisionable`
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException` - If a communication error occurs while retrieving the provisioning port.
    `com.endeca.soleng.eac.toolkit.exception.EacProvisioningException`
    `com.endeca.soleng.eac.toolkit.exception.EacProvisioningException` - If an error occurs while trying to retrieve a component definition from the EAC.
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### setDefinition

    public void setDefinition()
                       throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException

  Sets the definition of each dgidx in the group that is not already defined.

  Specified by:
    `setDefinition` in class `com.endeca.soleng.eac.toolkit.base.Provisionable`
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException` - If a communication error occurs while retrieving the provisioning port.

### updateDefinition

    public void updateDefinition()
                          throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                 com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                 com.endeca.soleng.eac.toolkit.exception.EacProvisioningException,
                                 com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Updates the definition of each dgidx in the group. If a dgidx has not changed, no action is taken.

  Specified by:
    `updateDefinition` in class `com.endeca.soleng.eac.toolkit.base.Provisionable`
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException` - If a communication error occurs while retrieving the provisioning port.
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacProvisioningException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### getDgidxs

    public java.util.List<DgidxComponent> getDgidxs()

### getAgidxs

    public java.util.List<AgidxComponent> getAgidxs()

### getDgidxById

    public DgidxComponent getDgidxById(java.lang.String dgidxId)

  Retrieves the Dgidx with the specified ID from the group.

  Parameters:
    `dgidxId` - ID of the dgidx to retrieve.
  Returns:
    Returns the specified dgidx or null if none is found.

### getAgidxById

    public AgidxComponent getAgidxById(java.lang.String agidxId)

  Retrieves the Agidx with the specified ID from the group.

  Parameters:
    `agidxId` - ID of the agidx to retrieve.
  Returns:
    Returns the specified agidx or null if none is found.

### getDgidxGroups

    public java.util.Map<java.lang.String,java.util.List<DgidxComponent>> getDgidxGroups()

  Retrieves a map, whose keys are the dgidx groups defined for the application, and whose values are lists of dgidxs belonging to each dgidx group. If no dgidx groups are defined, the map will contain an auto-generated key for each dgidx and a single dgidx per dgidx group. That is, each dgidx will be assigned to its own dgidx group.

  Returns:
    Returns a map of dgidx groups and a list of dgidxs assigned to each group.

### getAgidxGroups

    public java.util.Map<java.lang.String,java.util.List<AgidxComponent>> getAgidxGroups()

  Retrieves a map, whose keys are the agidx groups defined for the application, and whose values are lists of agidxs belonging to each agidx group. If no agidx groups are defined, the map will contain an auto-generated key for each agidx and a single agidx per agidx group. That is, each agidx will be assigned to its own agidx group.

  Returns:
    Returns a map of agidx groups and a list of agidxs assigned to each group.

### getDgidxsInDgidxGroup

    public java.util.List<DgidxComponent> getDgidxsInDgidxGroup(java.lang.String dgidxGroup)

  Retrieves a list of all dgidxs belonging to the specified dgidx group.

  Parameters:
    `dgidxGroup` - Name of the dgidx group whose member dgidxs should be retrieved.
  Returns:
    Returns a list of dgidxs or an empty list if none are found with the specified dgidx group.

### getAgidxsInAgidxGroup

    public java.util.List<AgidxComponent> getAgidxsInAgidxGroup(java.lang.String agidxGroup)

  Retrieves a list of all agidxs belonging to the specified agidx group.

  Parameters:
    `agidxGroup` - Name of the agidx group whose member agidxs should be retrieved.
  Returns:
    Returns a list of agidxs or an empty list if none are found with the specified agidx group.

### getDgidxGroupNames

    public java.util.List<java.lang.String> getDgidxGroupNames()

  Retrieves a list of all the dgidx groups with which the group's dgidxs are associated..

  Returns:
    Returns a list of dgidx groups or an empty list, of graphs are not explicitly associated with dgidx groups (i.e. all graphs are in a single, unnamed dgidx group).

### getAgidxGroupNames

    public java.util.List<java.lang.String> getAgidxGroupNames()

  Retrieves a list of all the agidx groups with which the group's agidxs are associated..

  Returns:
    Returns a list of agidx groups or an empty list, of graphs are not explicitly associated with agidx groups (i.e. all graphs are in a single, unnamed agidx group).

### setDgidxs

    public void setDgidxs(java.util.List<DgidxComponent> dgidxs)

### addDgidx

    public void addDgidx(DgidxComponent dgidx)

  Adds a dgidx to the group.

  Parameters:
    `dgidx` -

### setAgidxs

    public void setAgidxs(java.util.List<AgidxComponent> agidxs)

### addAgidx

    public void addAgidx(AgidxComponent agidx)

  Adds a agidx to the group.

  Parameters:
    `agidx` -

### isGetDataInParallel

    public boolean isGetDataInParallel()

### setGetDataInParallel

    public void setGetDataInParallel(boolean getDataInParallel)

### setCachedAppDefinition

    public void setCachedAppDefinition(com.endeca.eac.client.ApplicationType cachedAppDefinition)

  Overrides:
    `setCachedAppDefinition` in class `com.endeca.soleng.eac.toolkit.base.Provisionable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Components (eacComponents)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:23-0500